Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Interface RecordNumberAppender

    public interface RecordNumberAppender

An interface specifying a callback function that modifies stored data based on a generated key.

Method Summary
`void` | `appendRecordNumber(Database db, DatabaseEntry data, int recno)` A callback function to modify the stored database based on the generated key.

Method Detail

### appendRecordNumber

    void appendRecordNumber(Database db,
                            DatabaseEntry data,
                            int recno)
                            throws DatabaseException

  A callback function to modify the stored database based on the generated key.

  When storing records using `Database.append` it may be useful to modify the stored data based on the generated key. This function will be called after the record number has been selected, but before the data has been stored.

  The callback function may modify the data `DatabaseEntry`.

  The callback function must throw a `DatabaseException` object to encapsulate the error on failure. That object will be thrown to caller of `Database.append`.

  Parameters:
    `db` - The enclosing database handle.

    @param data The data to be stored.

    `recno` - The generated record number.
  Throws:
    `DatabaseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2012 Oracle and/or its affiliates. All rights reserved.